Package org.h2.test.db

# Class TaskDef

java.lang.Object
org.h2.test.db.TaskDef

public abstract class TaskDef extends Object
A task that can be run as a separate process.

## Constructor Summary

Constructors
Constructor
Description
`TaskDef()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String... args)`
Run the class.
`protected String`
`receive()`
Receive a message from the process over the standard output.
`protected void`
`send(String message)`
Send a message to the process over the standard input.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TaskDef

public TaskDef()

## Method Details

### main

public static void main(String... args)
Run the class. This method is called by the task framework, and should not be called directly from the application.

Parameters:
  `args` - the command line arguments

### receive

protected String receive()
Receive a message from the process over the standard output.

Returns:
  the message

### send

protected void send(String message)
Send a message to the process over the standard input.

Parameters:
  `message` - the message